﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="AddEditTab.ascx.cs"
    Inherits="MindfireSolutions.uAccordionTab.AddEditTab" %>
<html lang="en">
<head>
    <title></title> 
    <style type="text/css">
        .ui-tabs-vertical .ui-tabs-nav { padding: .2em .1em .2em .2em; float: left; width: 12em; }
        .ui-tabs-vertical .ui-tabs-nav li { clear: left; width: 100%; border-bottom-width: 1px !important; border-right-width: 0 !important; margin: 0 -1px .2em 0; }
        .ui-tabs-vertical .ui-tabs-nav li a { display:block; }
        .ui-tabs-vertical .ui-tabs-nav li.ui-tabs-active { padding-bottom: 0; padding-right: .1em; border-right-width: 1px; border-right-width: 1px; }
        .ui-tabs-vertical .ui-tabs-panel { padding: 1em; float: left;}
    </style>

    <script type="text/javascript">

        var cssSelector = document.getElementById("uiCss");

        // Load UI CSS file
        if (!cssSelector) {
            var filename = 'usercontrols/uAccordionTab/css/jquery-ui-1.10.3.custom.min.css';
            var fileref = document.createElement("link");
            fileref.setAttribute("href", filename);
            fileref.setAttribute("rel", "stylesheet");
            fileref.setAttribute("type", "text/css");
            fileref.setAttribute("ID", "uiCss");
            document.getElementsByTagName("head")[0].appendChild(fileref);
        }

        // check jquery conflict
        var callNoConflict = (typeof ($) != 'undefined' && typeof (jQuery) == 'undefined')
        var jsSelector = document.getElementById("jsScript");
        var uiJsSelector = document.getElementById("uiJsScript");

        if (!jsSelector) {

            var filename = 'usercontrols/uAccordionTab/scripts/jquery-2.0.0.min.js';
            var fileref = document.createElement('script');
            fileref.setAttribute("type", "text/javascript");
            fileref.setAttribute("src", filename);
            fileref.setAttribute("ID", "jsScript");
            document.getElementsByTagName("head")[0].appendChild(fileref);
        }

        if (!uiJsSelector) {
            // Load UI Java-Script file
            var filename = 'usercontrols/uAccordionTab/scripts/jquery-ui-1.10.2.min.js';
            var fileref = document.createElement('script');
            fileref.setAttribute("type", "text/javascript");
            fileref.setAttribute("src", filename);
            fileref.setAttribute("ID", "uiJsScript");
            document.getElementsByTagName("head")[0].appendChild(fileref);
        }

        //Call no conflict method
        if (callNoConflict) {
            jQuery(function () {
                jQuery.noConflict();
            });
        }

        $('script').load(function () {
            jQuery(function () {
                var height = "<% = height %>"; //$('#hfHeight').val();
                var width = "<% = width %>"; //$('#hfWidth').val();
                var tabsType = "<% = selectedIndexText %>"; //$('#hfTabsType').val();

                var selector = "#" + "<% = tabSelector %>";

                if (height == "") {
                    height = "auto"
                }
                if (width == "") {
                    width = "auto"
                }

                jQuery('.divTabPreviewArea').css({ "height": height,
                    "width": width,
					"overflow" : "auto"
                });

                if (tabsType == "Vertical Tab") {
                    jQuery(selector).tabs().addClass("ui-tabs-vertical ui-helper-clearfix");
                    jQuery(selector + " li").removeClass("ui-corner-top").addClass("ui-corner-left");
                }
                else if (tabsType == "Horizontal Tab") {
                    jQuery(selector).tabs();
                } else if (tabsType == "Accordion") {
                    jQuery(selector).accordion();
                }
            });
        });

    </script>
</head>
<body>
    <div class="divTabPreviewArea">
        <asp:Panel ID="pnlTab" runat="server">
                <asp:Literal ID="litContentTab" runat="server"></asp:Literal>
        </asp:Panel>
    </div>
</body>
</html>
